Add rank in search result as data attribute
2017-02-26 10:14 - okkez _

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Search engine Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

I'm developing full text search plugin for Redmine™.

| want to add rank (score) to search result to check search result rank(score) easily.

(It it very hard to read debug log in real time.)

Currently | need overwrite app/views/search/index.html.erb and app/views/search/index.api.rsb completely to add rank to search

result.

But | don't want to keep maintaining views in my plugin because it is very annoying to keep following upstream changes.

This tiny patch provides functionality to display rank(score) in search result.
I don't add CSS to display data-rank attribute in search result html by default.

We can display data-rank value in search result using following CSS:

#search-results dt a::after {
content: " (" attr(data-rank) ")";
color: gray;
font-size: x—-small;

}i

! https://github.com/okkez/redmine_full_text_search

History

#1 - 2017-03-26 13:47 - Toshi MARUYAMA
- Description updated

#2 - 2018-03-26 05:28 - Yasukazu Nagatomi

+1

#3 - 2018-03-27 16:14 - Yuuki NARA

+1

#4 - 2018-03-29 10:09 - Akipii Oga

+1

#5 - 2018-04-28 09:40 - Go MAEDA

- Target version set to Candidate for next major release

Files
display-rank-as-data-attribute.diff 2.94 KB 2017-02-26 okkez _
fix-test.diff 10.2 KB 2017-02-26 okkez _
